Index

Welcome to Sothink SWF Decompiler 4.5 !

Sothink SWF Decompiler is a leading Flash decompiling tool to catch, decompile, view, and extract Shockwave Flash movies (.swf and .exe files), especially convert your SWF to FLA. It supports ActionScript 3 and is compatible with Flash CS3 (9.0). And also, Decompiler can recover the resources and export them into their common formats; SWF or FLA format is available to export for easy-editing in Flash. Meanwhile, it enables users to batch decompile multi-files and batch export FLA files or resources.

By using Sothink SWF Decompiler, you can find out almost everything in a Flash movie and get back your FLA.

  • Click here to learn more about this tool.
  • Click here to see working area guide.
  • Click here to know how to export the whole movie as a *.fla file.
  • Click here to know how to extract an element from Flash movie.
  • Click here to know how to export multi-file and resources.
  • Click here to know how to capture Flash movie from browser.
  • Click here to customize the program setting such as Action panel display, general configuration, ActionScript configuration, etc.

©2001-2008 SourceTec Software Co., LTD. All rights reserved. Having any question, please contact support@sothink.com.


Introduction & Features

Features

Sothink SWF Decompiler is a tool to browse, view and parse Shockwave Flash movies (SWF files). Following are the advantages of using Sothink SWF Decompiler:

  • Exports FLA File

Sothink SWF Decompiler can convert your SWF to FLA. It supports exporting the whole movie file in FLA format.
And supports exporting ActionScript while converting SWF to FLA. Compatible with ActionScript 2 and ActionScript 3.
If the SWF file contains Flash component, it also supports to list component information. The SWF file containing video is also supported.

  • Exported FLA File Version

You can select the file version for the exported FLA.
Supported formats include Macromedia Flash MX (Flash 6.0), Flash MX 2004 (Flash 7.0), Macromedia Flash 8 and Flash CS3 (9.0).

  • Compatible with Both ActionScript 2 and ActionScript 3

Sothink SWF Decompiler supports ActionScript 2 and ActionScript 3 fully.

  1. It can decompile the code written in ActionScript 2 or 3 and display the readable code in ActionScript window with syntax highlighting.
  2. It supports exporting ActionScript 2 and ActionScript 3 while converting SWF to FLA.
  • Supports Components

Sothink SWF Decompiler can scan if there are Flash components on your computer automatically or manually. The resources panel and tag information panel will list the component information if there are components in the decompiled Flash.

  • Optimizes the Display of ActionScript in Resources Panel

    In Resources panel, optimizes the display of ActionScript in Resources Panel. When decompiling AS3.0, support showing AS Class structure like folder-tree according to its path in package.

  • Provides Thumbnail View and Navigation

Provides Thumbnail View function for folders containing sound, video, graphic and text, which shows the thumbnails of all the images in the directory. So users can easily pick which resource they want to export. And preview window has a navigation bar, which makes the users view clearly in which folder the resource are placed, and helps them to switch into the defined folder quickly. Click here to see more >>

  • Exports AS File into HTML Format

In order to view ActionScript files easily and clearly, you can export the AS files into HTML format.

  • Parses and Decompile

Sothink SWF Decompiler is professional on parsing and decompiling all the Flash movies. It displays all components of a movie in groups, such as Shape, Image, Sound, Flash Video, Font, Text, Sprite, Button and Frame. Furthermore, Sothink SWF Decompiler "reads" the ActionScript of the movie and shows the neat code with syntax highlighting. You will find out almost everything in a Flash movie by using Sothink SWF Decompiler.

  • Exports

Sothink SWF Decompiler can extract the shapes, sounds, images, sprites, fonts, texts and ActionScript from a Flash movie. Besides *.swf format, the resources can be exported in *.fla format for editing in Flash, or exported in their common formats so you can use them in other applications. For example, the images can be exported in *.jpeg or *.bmp formats. The sounds can be exported in mp3 or wav formats. The ActionScript can be exported in *.bin, *.as or *.html format. The shapes can be exported in the *.gls format which is used by Sothink SWF Easy.

  • Processes Multi-file

Sothink SWF Decompiler can decompile and convert multi-file to FLA files at the same time, or export the resources to the certain file format for reusing. Just pick up the SWF or EXE files, and add their directories into Export Multi-Export list, and then click the button "Export", all the selected files will be exported completely, no matter where the files locate.

  • Converts Static Text to Shape

Besides recovering the static text to text, Sothink SWF Decompiler offers the function of converting static text to shape. By using the Font Shape vector information from the SWF, Sothink SWF Decompiler can convert all found letters to shapes and save them in Library so that the static text will be composed of many movie clips of shapes, which looks the same as the original movie.

  • Supports Flash Video (.flv) File

Sothink SWF Decompiler can extract the video file from a Flash movie and export it in *.flv format.

  • Browses

Sothink SWF Decompiler has an explorer-like interface that lets users browse hard disk or network to find Flash movies. It also supports to scan your Internet Explorer's cache to pick out the Flash movies you have viewed. Users can invoke SWF Decompiler from Windows Explorer.

  • Views

Sothink SWF Decompiler has a build-in Flash viewer to view and play the Flash movies, no matter the *.swf files, Flash Video (.flv) file, or the standalone Flash movies which have been packaged to *.exe files.
You can control the movie in preview window by playback bar, such as play or stop the Flash animation; zoom in or zoom out the Flash movie; forward and backward, and highlight to view the current frame in total frame. And also, you can view the movie or element in original size or size matching the window.

  • Captures Flash Movies

After you install Sothink SWF Decompiler, a small button of Sothink SWF Catcher will be added to Internet Explorer's toolbar, which is an assistant tool of SWF Decompiler. While you are viewing a page including Flash, click this Catcher button or right-click and select "Sothink SWF Catcher" to get the Flash movie downloaded. Learn how to capture Flash movie >>

Sothink SWF Catcher for Firefox is also ready for Firefox users. Click here for more >>

Features List

  • Provides a user-friendly interface (Office 2007) to quickly browse and play SWF on your hard drive or network.
  • Extracts the resources of SWF and sort them in several formats.
  • Supports exporting the movie in FLA format.
  • Supports exporting FLA file with ActionScript 3.
  • Optimizes the display of ActionScript in Resources Panel. When decompiling AS3.0, support showing AS Class structure like folder-tree according to its path in package.
  • Decompiles the ActionScript code and generate neat and readable code.
  • Compatibles with ActionScript 2 and ActionScript 3.
  • Export AS file into HTML format
  • Supports exporting any selected element or all elements.
  • Supports Flash movies in both *.swf format and *.exe format.
  • Processes multi-file, no matter where the files locate.
  • Supports the text with filter.
  • Supports Blend type and bitmap caching.
  • Supports stroke hint and scale type of line.
  • Supports scanning the cache of IE and listing all Flash files you have viewed.
  • Enables to browse and preview any resource before exporting.
  • Shows detail properties of elements in Flash movies.
  • Can be invoked from Windows Explorer.


Instruction of some words

Glossary

Shape & Image: Computers display graphics in either vector or bitmap format. Flash lets users create and animate compact vector graphics. It also supports users to import and manipulate bitmap graphics that have been created in other applications.

  • Shape: Refers the vector graphics used in Flash (*.swf file). Vector graphics describe images using lines and curves -- "vectors", which also include color and position properties. You can move, re-size, reshape, and change the color of a vector graphic without changing the quality of its appearance.
  • Image: Refers the graphics in bitmap format. Bitmap graphics describe images using colored dots -- "pixels", which are arranged within a grid. Bitmap graphics are resolution-dependent because the data describing the image is fixed to a grid of a particular size. Editing a bitmap graphic can change the quality of its appearance.
  • Morph Shape: Refers the shapes in shape tween.

Sound: Refers the audio files used in this SWF file. Sothink SWF Decompiler supports to export sound in *.mp3 or *.wav format.

Video: Refers the Flash video files (*.flv).

Font: Refers the font-family used in this file.

Text: Shows the text content of this SWF file.

Sprite: Refers the "movie clip" used in this file. A movie clip symbol is like a self-contained movie that you can place in a host movie as if it was a single object. It can include animation and interactivity just like a regular movie.

Button: Refers the buttons of this file.

Frame: Refers the static graphics that are used to consist of this Flash movie.

Action: Shows the ActionScript of this movie.

Component: Refers to movie clip with parameters, which are set during authoring in Flash, and with ActionScript methods, properties, and events that allow you to customize the component at runtime. Components are designed to allow developers to reuse and share code, and to encapsulate complex functionality that designers can use and customize without using ActionScript.


Index

Working Area Guide

Launching Sothink SWF Decompiler, you will see its workspace as the screen image shown below, which looks like Office 2007. New "Ribbon" control is introduced, which provides smart layout maximally utilizing the available space. Each tab is split into Panels and each panel may contain various controls and command buttons.

There are several sections of the interface:

  • Main Menu
  • Ribbon Bar
  • Explorer Window
  • Multi-file Export
  • Movie Information
  • Preview Window
  • Playback Control Bar
  • Tag Information
  • Resources Panel
  • Status Bar


Working Area Guide

Main Menu

Sothink SWF Decompiler imitates the interface style of Office 2007, click the product icon [image] to open main menu.

The main menu is as follows:

Let's know about each command's function for details:

Quick Open

Find a SWF file in local disk by "Open" dialog, and preview and play it in Sothink SWF Decompiler.

Export To Fla...

Export the selected SWF file into FLA file.

Export Resources...

Export elements of Flash movie or the chosen elements in the various formats.

Help Topics...

Open HELP document to know about SWF Decompiler better.

About SWF Decompiler

View the software version, build number and company information here.

Check Updates...

Check the latest version about SWF Decompiler, and upgrade the product to the new version.

Recent Files

List all the *.swf files opened recently in Sothink SWF Decompiler, and select one to open it quickly.


Index

Working Area Guide

Ribbon Bar

With Microsoft Office 2007 appears, the conception of "Ribbon Bar" comes out. This is brand-new interface layout for the users, which groups the same category of commands into one tab. Ribbon bar layout makes your work easy and happy because of saving space, clear category and flexible panels control.

Sothink SWF Decompiler applies ribbon bar in interface layout. The users can use this program more conveniently.

Let's see these commands:

File

ActionScript

View

Config

Help


Index

Working Area Guide

Sothink SWF Decompiler applies ribbon bar in interface layout. The users can use this program more conveniently.

Let's see the commands in each tab:

File

The commands in tab "File" enable to open the SWF file quickly, view movie information, export file in FLA format or export resources in various formats; and also, the users can change the background color of the preview window and take a snapshot for file in preview window.

Quick Open

Quick Open: Input the path of the SWF file in the field to open it quickly. Truly you can click the button to browse your local disk and choose a movie file.

Export

Export To FLA: Export the selected movie in FLA format.

Export Resources: Export the selected elements in the various formats.

Multi-Export

Multi-File Export: Open or close "Multi-file Export" panel. And list the paths for all the SWF and EXE files that are ready to be decompiled and exported, and export the selected SWF files.

Info

Movie Information: View the information of current selected SWF file, such as, name, size, width, height, bg color, etc.

Tools

Colors: Select a color as background color of the preview window so as to view the object more clearly.

SnapShot: Take a snapshot for the file in the preview window.

  • To File: Take a screenshot of currently played file/frame and save as image file.
  • To ClipBoard: Copy the taken snapshot to clipboard. And you can paste it anywhere in graphic editor, document, etc.


Index

Working Area Guide

Sothink SWF Decompiler applies ribbon bar in interface layout. The users can use this program more conveniently.

Let's see the commands in each tab:

ActionScript

The commands in tab "ActionScript" enable to search the string in ActionScript code, and even the users can set an advanced search to find the string quickly; moreover, the users can change ActionScript view to different representations.

Search

Search for: Type the string and search it in ActionScript file; and also you can set the filter to make an advanced search, such as ignore case, whole word only.

  • Search for: Input the vital string in the field to search in ActionScript code.
  • To Up: Search the string, and then find or view them from the bottom to top in ActionScript.
  • Ignore Case: Ignore text case, which you specified in the field "Search for".
  • Whole Word Only: Search whole words only for the text which you specified in the field "Search for".

Search Now: Start searching in ActionScripts within SWF/EXE files

ActionScript

Source Code: Show ActionScript as source code.

P-Code: Show ActionScript as p-code.

Raw Data: Show ActionScript as raw data.


Index

Working Area Guide

Sothink SWF Decompiler applies ribbon bar in interface layout. The users can use this program more conveniently.

Let's see the commands in each tab:

View

The commands in tab "View" enable to show or hide panels; refresh the folders or restore the bars to the default setting; and set the interface style.

Panels

Explorer: Show or hide Explorer panel.

TagInfo: Show or hide Tag Information panel.

Resources: Show or hide Resources panel.

Refresh

Refresh Folder: Reload current directory to check the latest file information within this folder.

Reset All Bars: Restore the floating/moved bars to the default location.

Style

Style: Choose the favorite interface style to meet your need.

  • Office 2007 (Blue Style): Change current interface style to Office 2007 blue style.
  • Office 2007 (Black Style): Change current interface style to Office 2007 black style.
  • Office 2007 (Silver Style): Change current interface style to Office 2007 silver style.
  • Office 2007 (Aqua Style): Change current interface style to Office 2007 aqua style.


Index

Working Area Guide

Sothink SWF Decompiler applies ribbon bar in interface layout. The users can use this program more conveniently.

Let's see the commands in each tab:

Config

The commands in tab "Config" enable to set the basic configurations; and set the defined format for ActionScript to meet different requirements.

General Configuration

  • Browse .SWF files without parsing: Click a Flash movie file, and you can view it in the preview window before Decompiler analyzes it until you click the [+] sign to expand the resource folders.
  • Remember last used folder in the Explorer panel: Enable the Decompiler to make your last used folder as default folder when you run this program next time.
  • Remember last export folder: This option lets the Decompiler regard your last export folder as the default export folder.
  • Load all symbols before explore: Enable to load all the symbols in the preview window when selecting the resource folder before explore.
  • Explore symbol in use owner draw mode: Explore the symbol in use owner draw mode.
  • Remember ... files in Quicker Open dialog: Set the number of recent files that appears in the drop-down list of Quicker Open dialog.

ActionScript Configuration

  • Indent size (1-16): Click the up/down arrow beside this box to adjust code indent. The indent range is 1-16.
  • Braces
    Next line: To show the symbol { in the next line.
    End of line: To show the symbol { at the end of this line.
  • Generate comments: Checking this option, Decompiler will generate comments or descriptions for action codes.
  • Enable Syntax Coloring: By selecting this option, the code will be shown in color.
  • Show selection margin: By choosing this option, there will be a gray margin on the left hand side of the ActionScript Window, where the line number displays.
  • Show line number: Choose this option show line number of code.
    Note: If you want to show line number, you should enable "Show selection margin" at first.

Flash Components

Choose this command to scan manually if there are Flash components on your computer. Click the button "Update" to update them into the latest component information. Meanwhile, you can add the specific folder to the system so as to scan this folder address later.


Index

Working Area Guide

Sothink SWF Decompiler applies ribbon bar in interface layout. The users can use this program more conveniently.

Let's see the commands in each tab:

Help

The commands in tab "Help" enable to view Help document, Lame and the information about Decompiler.

Help Topic

Check Help document to know about the program well and solve your problem quickly.

About Lame

Since Sothink SWF Decompiler uses the LAME MP3 Encoder, you can view the information about LAME to know Decompiler better.

About Decompiler

View the software version, build number and company information here.


Export Dialog

Working Area Guide

Explorer Window

Explorer panel is on the left side of the main working area in Sothink SWF Decompiler. It is also divided into two parts:

  • The top part displays your system folders as a tree, which is more like windows explorer.

    Click this button to hide Explorer Window.
    Click this button to show the hidden Explorer Window.
    Click this button to fix Explorer Window on the interface.

  • When you choose a folder, the Flash movie files in it will be listed in the bottom part.
             Click this button to return to the previous folder.
            Click this button to forward to the next folder.
            Click this button to view the upper-level directory.
            Click this button to only show file list.
            Click this button to show file information for details.
            Click this button to add files to "Multi-file Export" panel.
    Enables you to switch to a folder instantly.


Multi-Export Dialog

Working Area Guide

Multi-file Export

The panel "Multi-file Export" can export several SWF files into FLA files and extract the resources from Flash movies.

Export

Click this button to start exporting SWF files to FLA file and extract resource files.

Select Num

Show the selected file number.

Export Path

  • Input a path or click the button to choose a folder to save all these exported FLA files and resources.

Export FLA

Check this option to convert all the selected SWF files to FLA format.

  • Option: You can do some settings for all the exported FLA files.

Export Resources

Check this option to export all the selected SWF files to resources.

  • Option: You can do some settings for all the resource files.

Add Files

Click this button to add SWF file to the export file list.

Add Folder

Click this button to add the folder which has included Flash files in sub folder to the export file list.

  • Select All: Select all the files in the export file list.
  • Unselect All: Select none from the export file list.
  • Delete: Delete the selected files from the export file list.


Export Dialog

Working Area Guide

Movie Information

Movie window is hidden by default. When you choose a SWF movie, click the tab "File" and click "Movie Information", the panel will display on the left of the preview window. With the help of this window, at any time you can get full information about currently selected Flash file, such as file name and its path, file size, file version, frame rate, etc.


Export Dialog

Working Area Guide

Preview Window

Show a preview of the currently selected object in this window.

Thumbnail View
When clicking the folder that contains sound, video, image or text, their thumbnail view will be shown in preview window like the illustration below, so users can easily pick which resources they want to export.
In Thumbnail View mode, the result of pick action you do in preview window will also be reflected in resources panel real-time.

Navigation bar
Navigation bar is placed on the top of the thumbnail. It makes the users view clearly in which folder the resource are placed. Just click the navigation link, you can switch into the defined folder quickly and easily.

Thumbnail View


Export Dialog

Working Area Guide

Playback Control bar

You can control the movie by playback control bar, such as play or stop the Flash animation; zoom in or zoom out the Flash movie; forward and backward, and seek slider control to view the current frame in total frame. And also, you can view the movie or element in original size or size matching the window.


Export Dialog

Working Area Guide

Tag Information

Under Preview area, there is the "Tag Information", which has 5 tabs: General, Instance, Label, Components and Hex.
After Sothink SWF Decompiler analyzes a Flash file, by default, here will list the information of this file. When you pick a group of resources, here will list the information of this group's files. While you select only a file in the Resources panel, here will list the information only for this file.


Export Dialog

Working Area Guide

Resources Panel

Resources panel is on the right side of the main working area in Sothink SWF Decompiler.

When you select a Flash file in the Explorer, Sothink SWF Decompiler will analyze it and show its resources here. You can click on [+] to expand the folder. When you want to export an element, you should check the square box in front of it. Click here to know details of how to export a Flash movie.

If you want to know more about the groups, please click here.


Export Dialog

Working Area Guide

Status bar

Status bar contains progress bar, which shows the current process of loading, parsing or exporting SWF file.


Steps of exporting .FLA

Export the SWF File in .FLA Format

Steps

  1. Choose one SWF file in Sothink SWF Decompiler. It will be shown in the Preview window.
  2. Choose "File" in the tab, and then click the "Export To FLA" or press F4.
  3. Then you will see the dialog to choose a directory and save the exported FLA file.

Note:

If ActionScript class was found while exporting, some .as files and .flp (Flash project file) will also be generated after exporting FLA successfully.


Export Setting for FLA

Click the button "Export FLA" on the Resources panel. This dialog will show automatically.

FLA file name:
Input path and name for the exported FLA file. SWF Decompiler will use "~original name" as the FLA file name automatically.
You can click "Browse" button to choose the other store folder.

Create folder in library for different symbol types:
By choosing this, SWF Decompiler will save the symbols in different folder according their types.

Convert static text to shape:
By default, Decompiler will generate text instead of converting the static text to shape. But if the original font is lack on the user's computer, it will affect the text display. In order to make the text display look the same as the original movie, user can choose this option to change the text into shape.

Generate guide line:
This option enables user to choose generating guideline or not when converting the guideline movie to FLA format. By default, this option is checked and Decompiler will generate the guideline. But if there are some problems with the generated FLA, e.g. can not be opened in Flash, you can try unchecking this option and Decompiler will not generate the Guideline, which may avoid the problem.

Select export FLA file version:

  • Automatically using appropriate FLA version
    If you choose this option, SWF Decompiler will detect the movie's property and then generate the file in the suitable FLA version.
  • According to the SWF version
    Export FLA file according to the SWF file's version. E.g. if the SWF is in Flash 7 format, the generated FLA file will also be Flash 7 format.
  • Let me select a version each time
    If you choose this option, a popup window will show as following.

    In this dialog, SWF Decompiler will show "Recommended" to the best suitable version. You can also choose other version or lower version, but some ActionScript or new features may not work if you choose lower version.
    • Export as Flash MX (6.0) format
      Choose this option to export to fla file as Flash MX (6.0) format.
      Please note: If the movie used ActionScript classes but you choose Flash 6.0 format, the ActionScript may not work as expected.
    • Export as Flash MX 2004 (7.0) format
      Choose this option to export to fla file as Flash MX 2004 (7.0) format. Once you export the movie in such a format, it only can be opened in Flash MX 2004 (7.0) or higher version. If you try to open it in Flash MX (6.0), you will get "Unexpected format" error.
    • Export as Flash 8 (8.0) format
      Choose this option to export to fla file as Flash 8 (8.0) format.
    • Export as Flash CS3 (9.0) format
      Choose this option to export to fla file as Flash CS3 (9.0) format.
    • Automatically use appropriate FLA version and do not prompt again
      When you check this box, it means SWF Decompiler will detect the movie's property and then generate the file in the suitable FLA version automatically. And you will not see this dialog any more. If you want to choose the version by yourself, you can choose "Let me select a version each time" in the dialog "Export FLA" so as to see this dialog again.

After the .FLA is exported successfully:

  • Open it in Flash automatically
    If you check this option, the exported fla file will be opened in Flash program automatically when Decompiler finishes exporting.
  • Prompt me what to do
    A popup dialog will show to prompt what to do next.
  • Do nothing
    Do not do anything to tell users the file is exported successfully.

Motion analyse precision:
Set the precision level used to recover motion tween.


Steps of importing/exporting a swf file

Export the elements of a SWF File

Steps

  1. Choose one SWF file in Sothink SWF Decompiler. It will be shown in the Preview window. By default, when you choose the Flash file, Sothink SWF Decompiler begins to analyze it and gather its components in groups. You can see the rate of processing in the status bar.
  2. When Sothink SWF Decompiler finishes the procession, it will list all the elements consisting of this SWF file on the right-hand. It groups them into: Shape, Image, Sound, Font, Text, Sprite, Button and Frame. Please click here to get detail instruction of groups.
  3. If a folder contains sub-contents, a [+] appears next to the folder icon. You can expand the folder to show the contents by clicking on the [+].
  4. When you expand a folder, you will see the elements. Click on each to view or play them one by one.
  5. In front of every element or folder, there is a square box. You can choose the element you want to export by checking this square box.
  6. Then click "Export Resources" button. The Export Resources dialog will pop up. Please select a folder where you want to store and click OK to finish.
  7. Sothink SWF Decompiler will create a folder in the same name with this SWF file. You can find the exported files within this folder.

Exported File Format Target:

Reset Default: Export all the selected resource files in default format.

Reset All Formats to FLA: Export all the selected resource files in *.fla format.

Reset All Formats to SWF: Export all the selected resource files in *.swf format.

  • Shape file will be exported as *.fla, *.swf or *.gls (used in Sothink SWF Easy) file by your choice.
  • Morph Shape file will be exported as *.swf or *.fla file.
  • Image file will be exported as *.jpg, *.bmp, *.png, *.swf or *.fla file.
  • Sound file will be exported as *.mp3, *.wav, *.swf or *.fla format.
  • Video file can be exported as Flash Video (*.flv), *.swf or *.fla file.
  • Sprite file can be export as *.swf or *.fla file.
    The frames included in sprite can be exported.
  • The exported file of font, button, frame, misc will be *.swf or *.fla file.
  • Action file will be exported as *.bin, *.as or *.html format.

Tips:

Using the exported file in Sothink SWF Easy:

Sothink SWF Easy (original name: Glanda) is an easy Flash animation software for all Flash fans. Click here for more.

Run Sothink SWF Easy program. If you want to use the shape element, please click "Shape" to view the shape panel. Then select the folder that stored the shape element from the drop-down box. The exported shape file will display. Then you can use it in Sothink SWF Easy.

Note: The exported shape, image and sound elements can be used in Sothink SWF Easy.


Export Dialog

Export Resources Dialog

When you select the elements you want to export and click the "Export Resources" button, you will see this dialog.

Path: Here shows the export directory where you want to store the exported files.

New Folder: Click this button to create a new folder in current directory.

File format

  • Shape file will be exported as *.fla, *.swf or *.gls.
  • Morph Shape file will be exported as *.swf or *.fla file.
  • Image file will be exported as *.jpg, *.bmp, *.swf or *.fla file.
  • Sound file will be exported as *.mp3, *.wav, *.swf or *.fla file.
  • Video file can be exported as Flash Video (*.flv), *.swf or *.fla file.
  • Text file can be exported as *.txt, *.swf or *.fla file.
  • Sprite file can be export as *.swf or *.fla file.
    The frames included in sprite can be exported.
  • The exported file of font, button, frame, misc will be *.swf or *.fla file.
  • Action file will be exported as *.html, *.as or *.bin format.

Reset File Format Target

Reset Default: Export all the selected resource files in default format.

Reset All Formats to FLA: Export all the selected resource files in *.fla format.

Reset All Formats to SWF: Export all the selected resource files in *.swf format.

Use SWF file name as the subdirectory: When you choose this option, it will create a subfolder that is in the same name with this Flash file to store the exported files.

Export to: Show the selected folder in the path field.


Multi-Export Dialog

Export Multi-file

Step

1. Choose the SWF or EXE files which need to export. Three methods are provided to you:

  • Drag the file to the export list.
  • Right click the file in the explorer panel, pick the option "Add To Multi-export" from the context menu to add the file's path to the export list.
  • Choose file in the explorer panel, and then click the button [image], add file's path to export list.
  • Click the button "Add File" to open a dialog, and choose the file from it to add file's path.

Except for adding the single file, you can choose folders including SWF files, add these files to the panel "Multi-file Export".

2. Choose a path to save the exported files.

3. Modify your selection by the following ways.

  • Check the combo box to select the SWF files that need to export.
  • Click the buttons, "Select All", "Unselect" and "Delete" to select the SWF files that need to export.

The selected file quantity will be shown on the top-right corner.

4. Check the option to export FLA file or resources, and then configure the settings individually. View how to configure the settings >>

5. Click the button "Export" to finish exporting the multi-file .


Multi-Export Dialog

Export Setting for Multi-file

Export FLA

Create folder in library for different symbol types:
By choosing this, SWF Decompiler will save the symbols in different folder according their types.

Convert static text to shape:
By default, Decompiler will generate text instead of converting the static text to shape. But if the original font is lack on the user's computer, it will affect the text display. In order to make the text display look the same as the original movie, user can choose this option to change the text into shape.

Generate guide line:
This option enables user to choose generating guideline or not when converting the guideline movie to FLA format. By default, this option is checked and Decompiler will generate the guideline. But if there are some problems with the generated FLA, e.g. can not be opened in Flash, you can try unchecking this option and Decompiler will not generate the Guideline, which may avoid the problem.

Select export FLA file version:

  • Automatically using appropriate FLA version
    If you choose this option, SWF Decompiler will detect the movie's property and then generate the file in the suitable FLA version.

After the .FLA is exported successfully:

  • Do nothing
    Do not do anything to tell users the file is exported successfully.

Motion analyse precision:
Set the precision level used to recover motion tween.

Export Resources

File format

  • Shape file will be exported as *.fla, *.swf or *.gls.
  • Morph Shape file will be exported as *.swf or *.fla file.
  • Image file will be exported as *.jpg, *.bmp, *.swf or *.fla file.
  • Sound file will be exported as *.mp3, *.wav, *.swf or *.fla file.
  • Video file can be exported as Flash Video (*.flv), *.swf or *.fla file.
  • Text file can be exported as *.txt, *.swf or *.fla file.
  • Sprite file can be export as *.swf or *.fla file.
    The frames included in sprite can be exported.
  • The exported file of font, button, frame, misc will be *.swf or *.fla file.
  • Action file will be exported as *.as, *.html or *.bin format.

Select All: Choose all the resources to export.

Unselect: Choose none of resource to export.

Reset: Recover to the original default settings.

Export to

List the folder that you have chosen to save all these exported resource file.


Capture Flash Movie

How to Get Flash Movie from IE Browser

Sothink SWF Catcher is an assistant tool of Sothink SWF Decompiler. It is used to capture Flash movie from IE browser.

Before you install Sothink SWF Decompiler, please make sure you have closed all IE browsers.
When you finish the installation, restart your IE browser.
You will find a small button of Sothink SWF Catcher [image] is added to Internet Explorer's toolbar.

Step one: Launch Sothink SWF Catcher

Generally, when you see a great Flash movie, there are two ways to get it:

  1. Method 1: Click the "SWF Catcher" button [image] . (See 1 in following image)
  2. Method 2: Right-click and select "Sothink SWF Catcher" from the popup menu. (See 2 in following image)

Step two: Save a captured Flash movie

Then the Save dialog will popup to show all the Flash movies in this page.

  1. Choose movie you want to get:
    Check the box in front of the Flash movie you want. You can also use "Select All" to choose all the Flash files and "Deselect All" to uncheck all.
  2. Set a folder to save the captured movie:
    Click the arrow button beside "Save to" to set the file saved directory. You can browse and choose a folder to store the Flash movie, use the default or the last saved directory as well.
    The "default directory" can be set in Settings dialog.
    (Note: If you have not set the saved directory, the "Save" button may be gray out and not clickable.)
  3. Click "Save" button to store the Flash movie to your local disk successfully.
    And if you click "SWF Quicker" or "SWF Decompiler", the selected program will be launched to open this movie automatically as long as you install it.
    Note: Unless you save the selected movie firstly, you can not open it in the program.

: refers this Flash file has been saved in the cache of your IE browser.
: refers this Flash file will be captured from internet directly and it has not been stored in browser's cache yet.

Tips:

  • If you see the Flash movie in a pop-up IE window, which has no address bar and toolbar, please do as follows to capture it:
    1. Open a new blank IE browser window;
    2. Drag the IE icon [image] from pop-up window's address bar to this new window;
    3. The Flash movie will be opened in this new window;
    4. Now you can use method 1 or 2 to catch it.
  • How to capture the video? Please try Sothink Web Video Downloader.


Settings of Saving Captured File

Set a Directory to Save Captured File

Click the Settings button at the bottom of capture dialog to open this dialog.

Default save directory

Set a default folder to save the captured Flash movie. The default directory will be displayed initially in the "Save to" box.

Last save directory: Set the directory in which you saved Flash file last time as the default directory.

Specified: Browse and choose a directory as default.

If target file already exists

It's possible that two files have the same name or the same file has already existed in the folder you choose. You can choose any option to deal with the file.

Automatically rename: Give a new name to this file and save. It will automatically add a number beside the original name, such as ***[1].swf.

Overwrite: Always overwrite the older one with this file.

Skip: Pass over this file and continue.

Prompt me: Give a prompt dialog to let you choose a saving method.


Capture Flash Movie

How to Get Flash Movie from Firefox Browser

Sothink SWF Catcher for Firefox is a Firefox extension, which enables you to catch Flash movies (*.swf) when you are browsing movie pages in Firefox and then save them in your local folder.

Please visit the following link to know how to install and use it:
http://www.sothink.com/product/swfcatcher/firefox/index.php


Frequently Asked Questions

  1. How do I export a shape?
    In Resources panel, please click on the [+] in front of Shape folder to expand it and show the contents. Click any shape to view it. Then pick the shape you want to export by checking the square box in front of it. Last, click the "Export..." button and select a directory to save. Now you have exported the shape successfully. Sothink SWF Decompiler supports exporting the shape in *.swf or *.gls format. You can choose either during exporting. The shape file in *.gls format can be used in Sothink SWF Easy (original name: Glanda).
  2. How do I export an image?
    To export an image by using Sothink SWF Decompiler, please click on the [+] in front of Image folder to expand it and show all the image files used in this SWF file. Click any image file to show it in preview window. Then pick the image you want by checking the square box in front of it. Last, click the "Export..." button and choose a valid save path. Now you have exported the shape successfully. Sothink SWF Decompiler supports exporting the image in JPG, PNG or BMP format. You can choose either during exporting.
  3. How do I export a sound?
    To export a Sound from a SWF file using Sothink SWF Decompiler, please click on the [+] of Sound folder to expand it. Select a Sound and Sothink SWF Decompiler will play it. Then pick the sound you want by checking the square box in front of it. Last, please click the "Export..." button from the tool bar and select a valid save directory. The file will be saved in the required format (*.mp3 or *.wav). You can choose either during exporting.
  4. How do I export a font/sprite/button/frame?
    In Resources panel, please click on the [+] of Font/Text/Sprite/Button/Frame folder to expand it and display the contents. Click any component to view it. Then pick the one you like by checking the square box in front of it. Last, click the "Export..." button and select a directory to save. Now you have exported it successfully. The font, sprite, button, frame will be exported in SWF format. And even, the frame included in sprite can be exported too.
  5. Does Sothink SWF Decompiler support Flash components?
    Yes. Sothink SWF Decompiler can scan if there are Flash components on your computer automatically or manually. The resources panel and tag information panel will list the component information if there are components in the decompiled Flash.
  6. Does Sothink SWF Decompiler export the font in *.tif or other formats?
    Sorry, since only the information of the font used in this movie is kept in SWF file, not the entire font information of this font type, Decompiler can not get all the information of some Font Library according to these few fonts. So Decompiler can not export the font in *.tif format.
  7. Can I export several SWF files at the same time?
    Yes, you can decompile and convert multi-file to FLA files at the one time, or export the resources to the certain file format for reusing.
    How to export several SWF files? >>
  8. Does SWF Decompiler show AS Class structure like folder-tree?
    Yes. In Resources panel, optimize the display of ActionScript in Resources Panel. When decompiling AS3.0, support showing AS Class structure like folder-tree according to its path in package.
  9. Can I export ActionScript file into HTML format?
    Yes, in order to view ActionScript files easily and clearly, you can export the AS files into HTML format.
  10. What's the *.gls file and how can I use it?
    When you export a shape file, Sothink SWF Decompiler will let you select to save the file in *.swf or *.gls format. The *.gls format is special for Sothink SWF Easy (original name: Glanda). When you export a shape file in such format, you can use this shape in Sothink SWF Easy. In detail, after you export the shape as *.gls file, please open Sothink SWF Easy and click "Shape" button to see the shape panel. In this panel, click the drop-down list and choose the folder where you saved the *.gls file. Then this file will be shown and you can use it in Sothink SWF Easy.
  11. Are Sothink SWF Easy (original name: Glanda) and Sothink SWF Decompiler same tools?
    NO. They are two different tools. Sothink SWF Easy is a Flash movie creator and Sothink SWF Decompiler is a Flash analysis tool.
  12. Is there a MAC version?
    Yes, currently Sothink SWF Decompiler for Mac has released. View here >>
  13. Why I was asked to enter registration key every time on Vista when I was running SWF Decompiler V4.3 or above?
    For the Sothink SWF Decompiler V4.3 or the above version, users can use the below method to avoid being asked to enter the registration information every time to run the program under Vista Operation System.
    1. Right click the program shortcut and choose Run as administrator, please refer to the screenshot below:

    2. Unlock the program with the registration information.

    3. Please kindly close and re-launch the program to check whether the problem still exists.

  14. Why does pop up the window like this "Please run this program from the Administrator account so it can set up your license. Once the license is set up, you can run it from any account" when I run "Sothink SWF Decompiler" as Administrator account?
    From an Administrator account, run the registry editor, RegEdit.exe. Navigate to HKEY_LOCAL_MACHINE\Software\Licenses. Right-click on that key in the left pane (the one that shows folders) and select "Permissions". Use the Remove button to remove all users and groups from the permissions box, then click the Add button. In the "Enter the object names to select" box, type "Everyone" (without the quotes), then click the Check Names button -- the Everyone you just typed should become underlined, if the system recognizes it. Click OK to return to the main permissions dialog; you'll now see only one entry, for the Everyone group. Below it, select the box for "Full Control - Allow", which should also turn on Read - Allow. Then hit the OK button to finish it.
  15. I tried to scan a movie and Sothink SWF Decompiler generated an error, or crashed?
    Please send this error in detail report and the SWF file to support@sothink.com . This will help us to check the problem and improve the program. Thanks.
  16. Why I can't download SWF file by Catcher in IE on Vista?
    To fix this issue, you need to turn off internet protected mode.
    Please open Internet Explorer browser, go to Tool > Internet Options, then go to Security tab and turn the Protected Mode to off.
    Then, you should be able to download SWF movies with no problems.


License

Sothink SWF Decompiler END-USER LICENSE AGREEMENT

SourceTec Software Co., LTD END-USER LICENSE AGREEMENT

SOFTWARE PRODUCT(S) IMPORTANT-READ CAREFULLY: This SourceTec End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and SourceTec Software Co. LTD for the SourceTec software product(s) identified above. By installing, copying, or otherwise using the SOURCETEC SOFTWARE product(s) identified above, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOURCETEC SOFTWARE product(s) identified above.

1. GRANT OF LICENSE:

- Install and use. Install and use the Software on a single computer and make one copy of the Software in machine-readable form solely for backup purposes. You must reproduce on any such copy all copyright notices and any other proprietary legends on the original copy of the Software. Install the Software on a storage device, such as a network server, and run the Software on an internal network, provided the number of concurrent users does not exceed the number of copies of the Software purchased. A copy of the Software must be purchased for each such user. If you have purchased a multi-pack license for the Software product, such as a Ten-Pack license, or a license to make multiple installations of the Software, you may concurrently use the number of copies of the Software authorized by that purchase. Make copies of the End-User Product and distribute those copies for use solely by yourself or personnel employed by you, or by another party, solely for its own internal purposes.
SourceTec grants to you the non-exclusive right to use Sothink SWF Decompiler on a single computer. You may make copies of the Sothink SWF Decompiler for backup and archival purposes. SourceTec Software Co. Ltd reserves all rights not expressly granted.

- COPYRIGHT. Sothink SWF Decompiler is owned by SourceTec Software Co. Ltd. and is protected by copyright laws and international copyright treaty provisions, as well as other intellectual property laws and treaties. Therefore, you must treat Sothink SWF Decompiler like any other copyrighted material . You may not use or copy Sothink SWF Decompiler for any other purpose than what is described in this Agreement.

2. OTHER RESTRICTIONS

You may not make or distribute copies of the Software, or electronically transfer the Software from one computer to another or over a network. You may not recompile, reverse engineer, disassemble, or otherwise reduce the Software to a human-perceivable form. You may not rent, lease or sublicense the Software. You may not modify the Software or create derivative works based upon the Software.

3. TERMINATION:

Without prejudice to any other rights, SourceTec may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOURCETEC SOFTWARE product(s) identified above.

4. SUPPORT SERVICES:

SourceTec provides tech support services related to the SOURCETEC SOFTWARE product(s) identified above ("Support Services"). Use of Support Services is governed by SourceTec polices and programs described in the user manual, in online documentation, and/or other SourceTec-provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of the SOFTWARE and subject to the terms and conditions of this EULA. With respect to technical information you provide to SourceTec as part of the Support Services, SourceTec may use such information for its business purposes, including for product support and development. SourceTec will not utilize such technical information in a form that personally identifies you.

5. NO WARRANTIES.

SourceTec expressly disclaims any warranty for the SOURCETEC SOFTWARE product(s) identified above. THE SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OR MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE PRODUCT REMAINS WITH YOU

6. LIMITATION OF LIABILITY.

To the maximum extent permitted by applicable law, in no event shall SourceTec or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the SOFTWARE or the provision of or failure to provide Support Services, even if SourceTec has been advised of the possibility of such damages.

7. OTHER STIPULATE.

This EULA is governed by the laws of P.R. China. Should you have any questions concerning this EULA, or if you desire to contact SourceTec for any reason, please contact with the Email address support@Sothink.com.